#
# spec file for package python-CXX
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define modname CXX
%define tarname pycxx
Name:           python-CXX
Version:        6.2.5
Release:        4.1
Summary:        Write Python extensions in C++
License:        BSD-3-Clause
Group:          Development/Languages/Python
Url:            http://CXX.sourceforge.net/
Source0:        %{tarname}-%{version}.tar.gz
Source1:        %{name}-rpmlintrc
# PATCH-MISSING-TAG -- See http://wiki.opensuse.org/openSUSE:Packaging_Patches_guidelines
Patch0:         python-CXX-6.2.3-change-include-paths.patch
# PATCH-FIX-UPSTREAM python-CXX-6.2.5-fix-version.patch -- fix version number from 6.24 to 6.25, needs to be updated for new releases
Patch1:         python-CXX-6.2.5-fix-version.patch
BuildRequires:  python-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Provides:       python-cxx = %{version}
Obsoletes:      python-cxx < %{version}
%if 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%else
BuildArch:      noarch
%py_requires
%endif

%description
PyCXX is a set of classes to help create extensions of Python in the C
language. The first part encapsulates the Python C API taking care of
exceptions and ref counting. The second part supports the building of Python
extension modules in C++.

%package devel
Summary:        Development files for %{name}
Group:          Development/Languages/Python
Requires:       %{name} = %{version}
%if 0%{?suse_version} > 1110
%py_requires -d
%endif
Provides:       python-cxx-devel = %{version}
Obsoletes:      python-cxx-devel < %{version}

%description devel
Header files and documentation for %{name} development.

%prep
%setup -q -n %{tarname}-%{version}
%patch0 -p1
%patch1 -p1

%build
python setup.py build

%install
python setup.py install --root=%{buildroot} --prefix=%{_prefix}
install %{modname}/*.hxx %{buildroot}/%{_includedir}/python%{py_ver}/%{modname}
install %{modname}/*.h %{buildroot}/%{_includedir}/python%{py_ver}/%{modname}/
cp -R %{modname}/Python2 %{buildroot}/%{_includedir}/python%{py_ver}/%{modname}/
install Src/*.c %{buildroot}/%{_datadir}/python%{py_ver}/%{modname}/
install Src/*.cxx %{buildroot}/%{_datadir}/python%{py_ver}/%{modname}/
cp -R Src/Python2 %{buildroot}/%{_datadir}/python%{py_ver}/%{modname}/
chmod -x %{buildroot}/%{_datadir}/python%{py_ver}/%{modname}/*.*
chmod -x %{buildroot}/%{_includedir}/python%{py_ver}/%{modname}/*.*

%files
%defattr(-,root,root)
%doc README.html COPYRIGHT
%{python_sitelib}/%{modname}/
%{python_sitelib}/%{modname}-%{version}-py%{py_ver}.egg-info

%files devel
%defattr(-,root,root)
%doc Doc/Python2/
%{_includedir}/python%{py_ver}/%{modname}/
%dir %{_datadir}/python%{py_ver}/
%{_datadir}/python%{py_ver}/%{modname}/

%changelog
* Fri Dec  6 2013 toddrme2178@gmail.com
- Update to Version 6.2.5
  * Fix build issue with GCC 4.2.1 on FreeBSD and Mac OS X (stop python defining isspace as a macro).
  * Remove support for python 3.1 (API's are unstable).
  * Add Python 3.3 support.
  * Patch from Michael Droettboom to fix compilation issues.
  * Patch from Michael Droettboom to add buffer interface for python3.
- Remove upstreamed python-CXX-6.2.4-fix-indentation.patch
- Add python-CXX-6.2.5-fix-version.patch
  This will need to be fixed for any release where the version number is wrong
* Mon May 21 2012 toddrme2178@gmail.com
- Update to Version 6.2.4 (3-March-2012)
  * Fix problem compiling against clang compiler used with Mac OS X
    10.7
  * Fix segv when using getting the type() of extension objects
  * Support PEP 3149 * Support Python 3.2
  * For python 3.1 and onwards use the Capsule API - thanks to
    Michael Droettboom
  * Fixed memory leak - thanks to Vivian De Smedt
  * Improve setup_makefile.py to use distutils to find paths
- Rename to python-CXX to match python package naming policy
- Add python 3 package
- Clean up spec file formatting
* Fri Dec  9 2011 saschpe@suse.de
- License is BSD-3-Clause, not GPL
- Fix build for SLE-11
* Sun May  8 2011 andrea@links2linux.de
- New package
